de.esprit.netsuite.netdata.enums

## Enum ServerResourceType

- java.lang.Object
- - java.lang.Enum<ServerResourceType>
  - - de.esprit.netsuite.netdata.enums.ServerResourceType

- All Implemented Interfaces:
    IconKey, ResourceType, java.io.Serializable, java.lang.Comparable<ServerResourceType>

      public enum ServerResourceType
      extends java.lang.Enum<ServerResourceType>
      implements ResourceType

  These are the tpyes of resources that can hold a ResourceLock on the server.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABO`
    `DATA_SOURCE`
    `DATA_SOURCE_POOL`
    `DB_RECORD`
    `FILE_TRANSFER`
    `SERVER_FILE`
    `SERVER_FOLDER`
    `SERVER_RESOURCE`
    `SINGLETON_ABO`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.swing.Icon` | `getIcon()`
    `java.awt.Image` | `getImage()`
    `static ServerResourceType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ServerResourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.IconKey

      `name`

- - ### Enum Constant Detail

    - #### SERVER_FILE

          public static final ServerResourceType SERVER_FILE

    - #### SERVER_FOLDER

          public static final ServerResourceType SERVER_FOLDER

    - #### SERVER_RESOURCE

          public static final ServerResourceType SERVER_RESOURCE

    - #### FILE_TRANSFER

          public static final ServerResourceType FILE_TRANSFER

    - #### DB_RECORD

          public static final ServerResourceType DB_RECORD

    - #### ABO

          public static final ServerResourceType ABO

    - #### SINGLETON_ABO

          public static final ServerResourceType SINGLETON_ABO

    - #### DATA_SOURCE

          public static final ServerResourceType DATA_SOURCE

    - #### DATA_SOURCE_POOL

          public static final ServerResourceType DATA_SOURCE_POOL

  - ### Method Detail

    - #### values

          public static ServerResourceType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerResourceType c : ServerResourceType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerResourceType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getIcon

          public javax.swing.Icon getIcon()

      Specified by:
        `getIcon` in interface `IconKey`

    - #### getImage

          public java.awt.Image getImage()

      Specified by:
        `getImage` in interface `IconKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.